 package com.huatek.busi.dao;

import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import com.huatek.busi.entity.ArresterOfflineExperimentReport;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;
@Repository
public class ArresterOfflineExperimentReportDao extends BaseDao<ArresterOfflineExperimentReport, String>{
    
    public int saveOrUpdate(ArresterOfflineExperimentReport entity) {
        if (StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }

}
